### Enumeration

# Qmi ImsaImsRegistrationStatus

since: 1.34

#### Declaration

    enum Qmi.ImsaImsRegistrationStatus

#### Description [src]

IMS registration status.

Available since: 1.34

#### Members

`QMI_IMSA_IMS_NOT_REGISTERED`

  No registration for IMS.

  - Value: `0`
  - Available since: 1.34
`QMI_IMSA_IMS_REGISTERING`

  IMS is registering.

  - Value: `1`
  - Available since: 1.34
`QMI_IMSA_IMS_REGISTERED`

  IMS is fully registered.

  - Value: `2`
  - Available since: 1.34
`QMI_IMSA_IMS_LIMITED_REGISTERED`

  IMS is limited registered, expect limited services.

  - Value: `3`
  - Available since: 1.34

#### Type functions

###### qmi_imsa_ims_registration_status_get_string

Gets the nickname string for the `QmiImsaImsRegistrationStatus` specified at `val`.

since: 1.34